glab(1)

NAME
glab-runner-controller-update - Update a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller update [flags]

DESCRIPTION
You must specify at least one of --description or --state.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-d, --description=""
    Description of the runner controller.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

--state=""
    State of the runner controller: disabled, enabled, dry_run.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Update a runner controller's description
    glab runner-controller update 42 --description "Updated description"
    # Update a runner controller's state
    glab runner-controller update 42 --state enabled
    # Update both description and state
    glab runner-controller update 42 --description "Production" --state enabled

SEE ALSO
glab-runner-controller(1)